/*
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred."
 *
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: move.c 1.4 89/10/10 $@(#)curses:screen/move.c	1.3.1.1"
# include	"curses.ext"

/*
 *	This routine moves the cursor to the given point
 *
 */
int
wmove(win, y, x)
register WINDOW	*win;
register int	y, x;
{
# ifdef DEBUG
	if(outf) fprintf(outf, "MOVE to win ");
	if (win == stdscr) {
		if(outf) fprintf(outf, "stdscr ");
	} else {
		if(outf) fprintf(outf, "%o ", win);
	}
	if(outf) fprintf(outf, "(%d, %d)\n", y, x);
# endif
	if (x < 0 || y < 0 || x >= win->_maxx || y >= win->_maxy)
		return ERR;
	win->_curx = x;
	win->_cury = y;
	win->_flags |= _WINMOVED;
	return OK;
}
